CVE-2013-1465

Current Description

The Cubecart::_basket method in classes/cubecart.class.php in CubeCart 5.0.0 through 5.2.0 allows remote attackers to unserialize arbitrary PHP objects via a crafted shipping parameter, as demonstrated by modifying the application configuration using the Config object.

Basic Data

PublishedFebruary 08, 2013
Last ModifiedAugust 29, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-20
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationCubecartCubecart5.0.0*******
    2.3ApplicationCubecartCubecart5.0.1*******
    2.3ApplicationCubecartCubecart5.0.2*******
    2.3ApplicationCubecartCubecart5.0.3*******
    2.3ApplicationCubecartCubecart5.0.4*******
    2.3ApplicationCubecartCubecart5.0.5*******
    2.3ApplicationCubecartCubecart5.0.6*******
    2.3ApplicationCubecartCubecart5.0.7*******
    2.3ApplicationCubecartCubecart5.0.8*******
    2.3ApplicationCubecartCubecart5.0.9*******
    2.3ApplicationCubecartCubecart5.1.0*******
    2.3ApplicationCubecartCubecart5.1.1*******
    2.3ApplicationCubecartCubecart5.1.2*******
    2.3ApplicationCubecartCubecart5.1.3*******
    2.3ApplicationCubecartCubecart5.1.4*******
    2.3ApplicationCubecartCubecart5.1.5*******
    2.3ApplicationCubecartCubecart5.2.0*******

Vulnerable Software List

VendorProductVersions
Cubecart Cubecart 5.0.0, 5.0.1, 5.0.2, 5.0.3, 5.0.4, 5.0.5, 5.0.6, 5.0.7, 5.0.8, 5.0.9, 5.1.0, 5.1.1, 5.1.2, 5.1.3, 5.1.4, 5.1.5, 5.2.0

References

NameSourceURLTags
20130206 [KIS-2013-02] CubeCart <= 5.2.0 (cubecart.class.php) PHP Object Injection Vulnerabilityhttp://archives.neohapsis.com/archives/bugtraq/2013-02/0032.htmlBUGTRAQ
http://forums.cubecart.com/?showtopic=47026http://forums.cubecart.com/?showtopic=47026CONFIRMPATCH
http://karmainsecurity.com/KIS-2013-02http://karmainsecurity.com/KIS-2013-02MISCExploit
89923http://osvdb.org/89923OSVDB
http://packetstormsecurity.com/files/120094/CubeCart-5.2.0-PHP-Object-Injection.htmlhttp://packetstormsecurity.com/files/120094/CubeCart-5.2.0-PHP-Object-Injection.htmlMISCExploit
52072http://secunia.com/advisories/52072SECUNIAVendor Advisory
24465http://www.exploit-db.com/exploits/24465EXPLOIT-DBExploit
57770http://www.securityfocus.com/bid/57770BID
cubecart-shipping-unauth-access(81920)https://exchange.xforce.ibmcloud.com/vulnerabilities/81920XF